<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="质保书模板">
	<query id="ZbsTemplateDao.GetZbsTemplateRMscSpec" desc="获取规格">
         <![CDATA[
SELECT T.*
  FROM QCM_ZBS_TEMPLATE_R_MSC_SPEC T, QCM_ZBS_TEMPLATE_R_MSC A
 WHERE T.TEMPLATE_R_MSC_PK = A.PRIMARY_KEY
   AND A.VALIDFLAG = '1'
   AND T.VALIDFLAG = '1'
   AND A.MSC = '#MSC#'
         ]]>
	</query>
	
	<query id="ZbsTemplateDao.GetZbsTemplateRMsc" desc="获取规格">
         <![CDATA[
SELECT *
     FROM QCM_ZBS_TEMPLATE_R_MSC T
    WHERE T.MSC = '#MSC#'
      AND T.VALIDFLAG = '1'
         ]]>
	</query>
	
	<query id="ZbsTemplateDao.GetZbsTemplateRMscByPk" desc="">
         <![CDATA[
SELECT *
     FROM QCM_ZBS_TEMPLATE_R_MSC T
    WHERE T.PRIMARY_KEY = '#PRIMARY_KEY#'
    AND T.VALIDFLAG = '1'
         ]]>
	</query>
	
	<query id="ZbsTemplateDao.Insert" desc="新增质保书模板">
         <![CDATA[
INSERT INTO SLM_ORD_DESIGN_ZBS_TEMPLATE
  (DESGIN_KEY, MSC, TBH, MEMO)
VALUES
  ('#DESGIN_KEY#', '#MSC#', '#TBH#', '#MEMO#')
         ]]>
	</query>
</queryMap>